#include<bits/stdc++.h>
using namespace std;
string c,s,d;
char c1,c2;
int a1,a2;
int main(){

   cin >> d;

   c=d[0];
   s=d[1];

   cin >> a1 >> a2;

   if(a1-a2>=2 or a2-a1>=2){
        cout << "nemoguce" << endl;
   }
   else if(a1>a2){
        for(int i=1;i<=a2;i++){
            cout << c << s;
        }
        cout << c;
   }
   else if(a1<a2){
        for(int i=1;i<=a1;i++){
            cout << s << c;
        }
        cout << s;
   }
   else if(a1==a2){
        for(int i=1;i<=a2;i++){
            cout << c << s;
        }
   }

return 0;
}